#
# spec file for package tpctl (Version 2.0 )
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  kernel-source
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kernel-source less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tpctl
%define kernel_version  %(uname -r)
%define kernel_version_  %(uname -r|tr - _)
%define main_version 2.0
Version:      2.0 
Release:      155
Summary:      ThinkPad configuration tools
Copyright:    unknown
Group:	      System Environment/Base
Buildroot:    %{_tmppath}/%{name}-root
#Provides:    
#Requires:    
#Conflicts:   
Autoreqprov: on
Source:      tpctl_%{main_version}.tar.gz
Patch:       tpctl_%{main_version}.dif
Source1:     Makefile.module
Source2:     config.default.ikr

%description
With this tool you can change the BIOS settings on IBM Thinkpads.
tpctl   -- command line ThinkPad control program
ntpctl  -- ncurses ThinkPad control program

Authors:
--------
    tpctl, drivers Thomas Hood <jdthood@mail.com> and Bill Mair
    smapidev Bill Mair <Bill.Mair@bm-soft.com> and Thomas Hood
    ntpctl Martin Fluch <mfluch@mathphys.fsk.uni-heidelberg.de>

SuSE series: ap

%package -n km_tpctl
Summary:      INTERNAL USE ONLY
Group:        System Environment/Kernel
 

%description -n km_tpctl
INTERNAL USE ONLY

SuSE series: suse

%package modules
Version:      %{main_version}_%{kernel_version_}
Release:      0
Summary:      INTERNAL USE ONLY
Group:        System Environment/Kernel
 

%description modules
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup -n  tpctl_%{main_version}
%patch  -p0 
[ "%{buildroot}" != "/" ] && [ -d %{buildroot} ] && rm -rf %{buildroot}
rm -Rf %{buildroot}/usr/src/kernel-modules/tpctl
install -d -m 755 %{buildroot}/usr/src/kernel-modules/tpctl
cp -a Makefile-common drivers include %{buildroot}/usr/src/kernel-modules/tpctl
install -m 644 $RPM_SOURCE_DIR/Makefile.module \
                   %{buildroot}/usr/src/kernel-modules/tpctl

%build
%ifarch i386
if [ -f /boot/vmlinuz.version.h -a ! -f /usr/src/linux/include/linux/version.h ] ; then
  cp /boot/vmlinuz.version.h /usr/src/linux/include/linux/version.h
else
  # probably not in autobuild
  cp %{SOURCE2} /usr/src/linux/.config
  yes "" | make -C /usr/src/linux oldconfig
  make -C /usr/src/linux/ include/linux/version.h
fi
make all
mkdir -p %{buildroot}/dev
mknod --mode=664 %{buildroot}/dev/thinkpad c 10 170
%else
exit 1
%endif

%install
if [ -x /bin/uname.sh ] ; then
  make install PREFIX=%{buildroot} \
               DIR_MAN=%{buildroot}/%{_mandir} \
               DIR_DOC=%{buildroot}/%{_docdir}/tpctl
else
 make install
fi
# %{?suse_check}

%files
/dev/*
/usr/bin/*
/usr/sbin/*
/usr/lib/*
%doc %{_docdir}/tpctl
%doc %{_mandir}/man*/*

%files -n km_tpctl
/usr/src/kernel-modules/tpctl  

%files modules
/lib/modules/*/thinkpad/

%changelog -n tpctl
* Wed Aug 15 2001 - ro@suse.de
- removed k_deflt from neededforbuild (cyclic dependency)
* Tue May 08 2001 - zoz@suse.de
- now using version.h from /boot/vmlinuz.version.h
- changed filelist for tpctl-modules
- make km_tpctl build ("s/Makefile_common/Makefile-common/" in
  Makefile.module) Bug: 7579
* Mon Apr 09 2001 - zoz@suse.de
- update to 2.0
- now using buildroot
- added tpctlir to the filelist
- added tpctl-module package for easier update
* Tue Mar 13 2001 - uli@suse.de
- moved kernel stuff to km_tpctl package
* Tue Dec 12 2000 - ro@suse.de
- comment modprobe calls in install section of Makefile
* Fri Dec 08 2000 - uli@suse.de
- fixed typos in drivers/thinkpad.c
* Thu Nov 23 2000 - droesch@suse.de
- update to 1.0
* Thu Jun 08 2000 - zoz@suse.de
- update to 0.8.8
* Wed Jun 07 2000 - uli@suse.de
- doc relocation
* Wed Mar 08 2000 - bs@suse.de
- made %%post more friendly.
* Mon Feb 28 2000 - ro@suse.de
- cleaned neededforbuild
* Wed Feb 16 2000 - zoz@suse.de
- some cleaning-up
- fixed path in ultrabayd
- prevented tpctlify from changing /etc/ld.so.conf
* Tue Feb 08 2000 - zoz@suse.de
- new package
- there is a special hdparm.tpctl to (un)registers ide-devices
  needed for the IBM ultrabay
